# Installation Mode

>![](public_sys-resources/icon-notice.gif) **NOTICE:**   
>-   Only TaiShan 200 and FusionServer Pro servers are supported. For details about the supported server models, see [Hardware Compatibility](installation-preparations.html#hardware-compatibility). Only a virtualization platform created by the virtualization components \(openEuler as the host OS and QEMU and KVM provided in the release package\) of openEuler and the x86 virtualization platform of Huawei public cloud are supported.  
>-   Currently, only installation modes such as CD-ROM, USB flash drive, network, QCOW2 image, and private image are supported. In addition, only the x86 virtualization platform of Huawei public cloud supports the private image installation mode. 

<!-- TOC -->

- [Installation Mode](#installation-mode)
    - [Installation Through a CD/DVD-ROM](#installation-through-a-cddvd-rom)
        - [Preparing the Installation Source](#preparing-the-installation-source)
        - [Starting the Installation](#starting-the-installation)
    - [Installation Through a USB Flash Drive](#installation-through-a-usb-flash-drive)
        - [Preparing the Installation Source](#preparing-the-installation-source-1)
        - [Starting the Installation](#starting-the-installation-1)
    - [Installation Through the Network Using PXE](#installation-through-the-network-using-pxe)
    - [Installation Through a QCOW2 Image](#installation-through-a-qcow2-image)
        - [Creating a QCOW2 Image](#creating-a-qcow2-image)
        - [Starting the Installation](#starting-the-installation-2)
    - [Installation Through a Private Image](#installation-through-a-private-image)
        - [Creating a Private Image](#creating-a-private-image)
        - [Starting the Installation](#starting-the-installation-3)

<!-- /TOC -->

## Installation Through a CD/DVD-ROM

This section describes how to create or use a CD/DVD-ROM to install the openEuler.

### Preparing the Installation Source

If you have obtained a CD/DVD-ROM, install the OS using the CD/DVD-ROM. If you have obtained an ISO file, record the ISO file to a DVD and install the OS using the obtained DVD.

### Starting the Installation

Perform the following operations to start the installation:

>![](C:/Users/Administrator/Downloads/openDocs/docs/content/en/docs/Installation/public_sys-resources/icon-note.gif) **NOTE:**   
>Set the system to preferentially boot from the CD/DVD-ROM drive. Take the BIOS as an example. You need to move the  **CD/DVD-ROM Drive**  option under  **Boot Type Order**  to the top.  

1.  Disconnect all drives that are not required, such as USB drives.
2.  Start your computer system.
3.  Insert the installation CD/DVD-ROM into the CD/DVD-ROM drive.
4.  Restart the computer system.

After a short delay, a graphical wizard page is displayed, which contains different boot options. If you do not perform any operation within one minute, the installation starts automatically with the default options.

## Installation Through a USB Flash Drive

This section describes how to create or use a USB flash drive to install the openEuler.

### Preparing the Installation Source

Pay attention to the capacity of the USB flash drive. The USB flash drive must have sufficient space to store the entire image. It is recommended that the USB flash drive has more than 16 GB space.

1.  Connect the USB flash drive to the system and run the  **dmesg**  command to view related log. At the end of the log, you can view the information generated by the USB flash drive that is just connected. The information is similar to the following:

    ```
    [ 170.171135] sd 5:0:0:0: [sdb] Attached SCSI removable disk
    ```

    >![](C:/Users/Administrator/Downloads/openDocs/docs/content/en/docs/Installation/public_sys-resources/icon-note.gif) **NOTE:**   
    >Take the  **sdb**  USB flash drive as an example.  

2.  Switch to user  **root**. When running the  **su**  command, you need to enter the password.

    ```
    $ su - root
    ```

3.  Ensure that the USB flash drive is not mounted. Run the following command:

    ```
    # findmnt /dev/sdb
    ```

    - If no command output is displayed, the file system is not mounted. Go to the next step.

    - If the following information is displayed, the USB flash drive is automatically mounted.

        ```
        # findmnt /dev/sdb
        TARGET   SOURCE   FSTYPE  OPTIONS
        /mnt/iso /dev/sdb iso9660 ro,relatime
        ```

        In this case, you need to run the  **umount**  command to uninstall the device.

        ```
        # umount /mnt/iso
        ```

4.  Run the  **dd**  command to write the ISO image to the USB flash drive.

    ```
    # dd if=/path/to/image.iso of=/dev/device bs=blocksize
    ```

    Replace  **/path/to/image.iso**  with the complete path of the downloaded ISO image file, replace  **device**  with the device name provided by the  **dmesg**  command, and set a proper block size \(for example, 512 KB\) to replace  **blocksize**  to accelerate the write progress.

    For example, if the ISO image file name is  **/home/testuser/Downloads/openEuler-20.03-LTS-aarch64-dvd.iso**  and the detected device name is  **sdb**, run the following command:

    ```
    # dd if=/home/testuser/Downloads/openEuler-20.03-LTS-aarch64-dvd.iso of=/dev/sdb bs=512k
    ```

5.  After the image is written, remove the USB flash drive.

    No progress is displayed during the image write process. When the number sign \(\#\) appears again, the write is complete. Exit the  **root**  account and remove the USB flash drive. In this case, you can use the USB flash drive as the installation source of the system.


### Starting the Installation

Perform the following operations to start the installation:

>![](C:/Users/Administrator/Downloads/openDocs/docs/content/en/docs/Installation/public_sys-resources/icon-note.gif) **NOTE:**   
>Set the system to preferentially boot from the USB flash drive. Take the BIOS as an example. You need to move the  **USB**  option under  **Boot Type Order**  to the top.  

1.  Disconnect all drives that are not required.
2.  Open your computer system.
3.  Insert the USB flash drive into the computer.
4.  Restart the computer system.

After a short delay, a graphical wizard page is displayed, which contains different boot options. If you do not perform any operation within one minute, the installation program automatically starts the installation.

## Installation Through the Network Using PXE

To boot with PXE, you need to properly configure the server and your computer's network interface to support PXE.

If the target hardware is installed with a PXE-enabled NIC, we can configure it to boot the computer from network system files rather than local media \(such as CD-ROMs\) and execute the Anaconda installation program.

For installation through the network using PXE, the client uses a PXE-enabled NIC to send a broadcast request for DHCP information and IP address to the network. The DHCP server provides the client with an IP address and other network information, such as the IP address or host name of the DNS and FTP server \(which provides the files required for starting the installation program\), and the location of the files on the server.

>![](C:/Users/Administrator/Downloads/openDocs/docs/content/en/docs/Installation/public_sys-resources/icon-note.gif) **NOTE:**   
>The TFTP, DHCP, and HTTP server configurations are not described here. For details, see  [Full-automatic Installation Guide](using-kickstart-for-automatic-installation.html#full-automatic-installation-guide).  

## Installation Through a QCOW2 Image

This section describes how to create or use a QCOW2 image to install the openEuler.

### Creating a QCOW2 Image

1.  Install the  **qemu-img**  software package.

    ```
    # dnf install -y qemu-img
    ```

2.  Run the  **create**  command of the qemu-img tool to create an image file. The command format is as follows:

    ```
    $ qemu-img create -f <imgFormat> -o <fileOption> <fileName> <diskSize>
    ```

    The parameters are described as follows:

    -   _imgFormat_: Image format. The value can be  **raw**  or  **qcow2**.
    -   _fileOption_: File option, which is used to set features of an image file, such as specifying a backend image file, compression, and encryption.
    -   _fileName_: File name.
    -   _diskSize_: Disk size, which specifies the size of a block disk. The unit can be K, M, G, or T, indicating KiB, MiB, GiB, or TiB.

    For example, to create an image file  **openEuler-imge.qcow2**  whose disk size is 32 GB and format is qcow2, the command and output are as follows:

    ```
    $ qemu-img create -f qcow2 openEuler-image.qcow2 32G
    Formatting 'openEuler-image.qcow2', fmt=qcow2 size=34359738368 cluster_size=65536 lazy_refcounts=off refcount_bits=16
    ```


### Starting the Installation

Perform the following operations to start the installation:

1.  Prepare a QCOW2 image file.
2.  Prepare the VM network.
3.  Prepare the UEFI boot tool set EDK II.
4.  Prepare the VM XML configuration file.
5.  Create a VM.
6.  Start the VM.

For details, see the  [*openEuler 20.03 LTS Virtualization User Guide*](../Virtualization/virtualization.html).

## Installation Through a Private Image

This section describes how to create or use a private image to install the openEuler.

### Creating a Private Image

For instructions about how to create a private image, see [*Image Management Service User Guide*](https://support.huaweicloud.com/intl/en-us/usermanual-ims/en-us_topic_0013901628.html).

### Starting the Installation

For details about how to start the x86 virtualization platform of Huawei public cloud, see  [Elastic Cloud Server User Guide](https://support.huaweicloud.com/intl/en-us/wtsnew-ims/index.html).













