# 环境变量持久化

## 功能描述

系统容器支持通过指定--env-target-file接口参数将env变量持久化到容器rootfs目录下的配置文件中。

## 参数说明

<a name="zh-cn_topic_0182200839_table1869210387418"></a>
<table><thead align="left"><tr id="zh-cn_topic_0182200839_row1569373816419"><th class="cellrowborder" valign="top" width="16.28%" id="mcps1.1.4.1.1"><p id="zh-cn_topic_0182200839_p106936387415"><a name="zh-cn_topic_0182200839_p106936387415"></a><a name="zh-cn_topic_0182200839_p106936387415"></a>命令</p>
</th>
<th class="cellrowborder" valign="top" width="19.73%" id="mcps1.1.4.1.2"><p id="zh-cn_topic_0182200839_p15693173814112"><a name="zh-cn_topic_0182200839_p15693173814112"></a><a name="zh-cn_topic_0182200839_p15693173814112"></a>参数</p>
</th>
<th class="cellrowborder" valign="top" width="63.99%" id="mcps1.1.4.1.3"><p id="zh-cn_topic_0182200839_p14522811181"><a name="zh-cn_topic_0182200839_p14522811181"></a><a name="zh-cn_topic_0182200839_p14522811181"></a>参数指定值说明</p>
</th>
</tr>
</thead>
<tbody><tr id="zh-cn_topic_0182200839_row12693163810415"><td class="cellrowborder" valign="top" width="16.28%" headers="mcps1.1.4.1.1 "><p id="zh-cn_topic_0182200839_p66931838134110"><a name="zh-cn_topic_0182200839_p66931838134110"></a><a name="zh-cn_topic_0182200839_p66931838134110"></a>isula create/run</p>
</td>
<td class="cellrowborder" valign="top" width="19.73%" headers="mcps1.1.4.1.2 "><p id="zh-cn_topic_0182200839_p08101647154218"><a name="zh-cn_topic_0182200839_p08101647154218"></a><a name="zh-cn_topic_0182200839_p08101647154218"></a>--env-target-file</p>
</td>
<td class="cellrowborder" valign="top" width="63.99%" headers="mcps1.1.4.1.3 "><a name="zh-cn_topic_0182200839_ul19381113501815"></a><a name="zh-cn_topic_0182200839_ul19381113501815"></a><ul id="zh-cn_topic_0182200839_ul19381113501815"><li>字符串变量。</li><li>env持久化文件必须在rootfs目录下，且配置为绝对路径。</li></ul>
</td>
</tr>
</tbody>
</table>

## 约束限制

-   --env-target-file指定的目标文件如果存在的话，大小不能超过10MB。
-   --env-target-file指定的参数为rootfs目录下的绝对路径。
-   如果--env和目标文件里面的env出现冲突，以--env指定值的参数为准。

## 使用示例

启动系统容器，指定env环境变量和--env-target-file参数：

```
[root@localhost ~]# isula run -tid -e abc=123 --env-target-file /etc/environment --system-container --external-rootfs /root/myrootfs none init
b75df997a64da74518deb9a01d345e8df13eca6bcc36d6fe40c3e90ea1ee088e
[root@localhost ~]# isula exec b7 cat /etc/environment
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
TERM=xterm
abc=123
```

可以看到容器的env变量（abc=123）已经持久化到/etc/environment配置文件中。

