# 附录
- [附录](#附录)
    - [configuration.toml配置说明](#configuration-toml配置说明)
    - [接口列表](#接口列表)

## configuration-toml配置说明

>![](public_sys-resources/icon-note.gif) **说明：**   
>configuration.toml配置文件中各个字段的取值以kata-containers-<version\>.rpm包中的configuration.toml文件为准，不支持用户对配置文件中的字段任意取值。  

```
[hypervisor.qemu]
path ：指定虚拟化qemu执行路径
kernel ：指定guest kernel执行路径
initrd ：指定guest initrd执行路径
image ：指定guest image执行路径（不适用） 
machine_type ：指定模拟芯片类型，ARM架构为virt，x86架构为pc
kernel_params ：指定guest内核运行参数
firmware ：指定固件路径，设空则使用默认固件
machine_accelerators ：指定加速器
default_vcpus ：指定每个SB/VM的默认vCPU数量
default_maxvcpus ：指定每个SB/VM的默认最大vCPU数量
default_root_ports ：指定每个SB/VM的默认Root Ports数量
default_bridges ：指定每个SB/VM的默认bridges数量
default_memory ：指定每个SB/VM的默认内存大小，默认为1024 MiB
memory_slots ：指定每个SB/VM的内存插槽数量，默认为10
memory_offset ：指定内存偏移量，默认为0
disable_block_device_use ：禁止将块设备用于容器的rootfs
shared_fs ：指定共享文件系统类型，默认为virtio-9p
virtio_fs_daemon ：指定vhost-user-fs守护进程路径
virtio_fs_cache_size ：指定DAX缓存的默认大小
virtio_fs_cache ：指定缓存模式
block_device_driver ：指定块设备驱动
block_device_cache_set ：指定块设备是否设置缓存相关选项，默认false
block_device_cache_direct ：指定是否使能O_DIRECT，默认false
block_device_cache_noflush ：指定是否忽略设备刷新请求，默认false
enable_iothreads ：使能iothreads
enable_mem_prealloc ：使能VM RAM预分配，默认false
enable_hugepages ：使能大页，默认false
enable_swap ：使能swap，默认false
enable_debug ：使能qemu debug，默认false
disable_nesting_checks ：关闭嵌套检查
msize_9p = 8192 ：指定每个9p包传输的字节数
use_vsock ：使用vsocks与agent直接通信（前提支持vsocks），默认false
hotplug_vfio_on_root_bus ：使能vfio设备在root bus热插拔，默认false
disable_vhost_net ：关闭vhost_net，默认false
entropy_source ：指定默认熵源
guest_hook_path ：指定guest hook二进制路径

[factory]
enable_template ：使能VM模板，默认false
template_path ：指定模板路径
vm_cache_number ：指定VMCache的缓存数量，默认0
vm_cache_endpoint ：指定VMCache使用的Unix socket的地址，默认/var/run/kata-containers/cache.sock

[proxy.kata]
path ：指定kata-proxy运行路径
enable_debug ：使能proxy debug，默认false

[shim.kata]
path ：指定kata-shim运行路径
enable_debug ：使能shim debug，默认false
enable_tracing ：使能shim opentracing

[agent.kata]
enable_debug ：使能agent debug，默认false
enable_tracing ：使能agent tracing
trace_mode ：指定trace模式
trace_type ：指定trace类型
enable_blk_mount ：开启block设备guest挂载

[netmon]
enable_netmon ：使能网络监控，默认false
path ：指定kata-netmon运行路径
enable_debug ：使能netmon debug，默认false

[runtime]
enable_debug ：使能runtime debug，默认false
enable_cpu_memory_hotplug ：使能cpu和内存热插拔，默认false
internetworking_model ：指定VM和容器网络互联模式
disable_guest_seccomp ：关闭在guest应用seccemp安全机制，默认true
enable_tracing ：使能runtime opentracing，默认false
disable_new_netns ：不为shim和hypervisor进程创建网络命名空间，默认false
experimental ：开启实验特性，不支持用户自定义配置
```

## 接口列表

**表 1**  kata-runtime网络相关的命令行接口

<a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_table66385264135"></a>
<table><thead align="left"><tr id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_row16639152615133"><th class="cellrowborder" valign="top" width="17.05829417058294%" id="mcps1.2.7.1.1"><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p5639726151315"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p5639726151315"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p5639726151315"></a><strong id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_b36001652466"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_b36001652466"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_b36001652466"></a>命令</strong></p>
</th>
<th class="cellrowborder" valign="top" width="17.18828117188281%" id="mcps1.2.7.1.2"><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p17639226141312"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p17639226141312"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p17639226141312"></a><strong id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_b26408520467"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_b26408520467"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_b26408520467"></a>子命令</strong></p>
</th>
<th class="cellrowborder" valign="top" width="19.71802819718028%" id="mcps1.2.7.1.3"><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p2028452514173"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p2028452514173"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p2028452514173"></a><strong id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b8887182217333"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b8887182217333"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b8887182217333"></a>文件示例</strong></p>
</th>
<th class="cellrowborder" valign="top" width="7.4992500749925%" id="mcps1.2.7.1.4"><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p863942612139"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p863942612139"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p863942612139"></a><strong id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b8464725143314"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b8464725143314"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b8464725143314"></a>字段</strong></p>
</th>
<th class="cellrowborder" valign="top" width="16.14838516148385%" id="mcps1.2.7.1.5"><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p10639132681314"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p10639132681314"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p10639132681314"></a><strong id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_b10643455466"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_b10643455466"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_b10643455466"></a>含义</strong></p>
</th>
<th class="cellrowborder" valign="top" width="22.38776122387761%" id="mcps1.2.7.1.6"><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p9105194011715"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p9105194011715"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p9105194011715"></a><strong id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_b1464445184619"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_b1464445184619"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_b1464445184619"></a>备注</strong></p>
</th>
</tr>
</thead>
<tbody><tr id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_row1554902132910"><td class="cellrowborder" rowspan="13" valign="top" width="17.05829417058294%" headers="mcps1.2.7.1.1 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p19639122651310"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p19639122651310"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p19639122651310"></a><strong id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_b69171014184613"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_b69171014184613"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_b69171014184613"></a>kata-network</strong></p>
<div class="note" id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_note173211717183519"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_note173211717183519"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_note173211717183519"></a><span class="notetitle"> 说明： </span><div class="notebody"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_ul1472122519332"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_ul1472122519332"></a><ul id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_ul1472122519332"><li>kata-network命令需成组使用。不经过kata-runtime kata-network添加的网络设备，无法使用kata-runtime kata-network删除或者列出。反之亦然。</li><li>kata-runtime kata-network通过文件或stdin传入配置参数。</li></ul>
</div></div>
</td>
<td class="cellrowborder" rowspan="6" valign="top" width="17.18828117188281%" headers="mcps1.2.7.1.2 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p11116581890"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p11116581890"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p11116581890"></a><strong id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b9588163211106"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b9588163211106"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b9588163211106"></a>add-iface</strong></p>
<div class="note" id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_note16321526151911"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_note16321526151911"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_note16321526151911"></a><span class="notetitle"> 说明： </span><div class="notebody"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_ul142008225339"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_ul142008225339"></a><ul id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_ul142008225339"><li>一个interface只能添加到1个容器中。</li><li>执行结果以返回值为准（非零返回值）。</li></ul>
</div></div>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p113091322192419"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p113091322192419"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p113091322192419"></a>&nbsp;&nbsp;</p>
</td>
<td class="cellrowborder" rowspan="6" valign="top" width="19.71802819718028%" headers="mcps1.2.7.1.3 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p034191618252"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p034191618252"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p034191618252"></a>{</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p03411316122515"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p03411316122515"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p03411316122515"></a>"device":"tap1",</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p834181642514"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p834181642514"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p834181642514"></a>"name":"eth1",</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p33412016112514"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p33412016112514"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p33412016112514"></a>"IPAddresses":[{"address":"172.17.1.10","mask":"24"}],</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p0341161682515"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p0341161682515"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p0341161682515"></a>"mtu":1300,</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p93411416172510"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p93411416172510"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p93411416172510"></a>"hwAddr":"02:42:20:6f:a2:80"</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p5108173192612"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p5108173192612"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p5108173192612"></a>"vhostUserSocket":"/usr/local/var/run/openvswitch/vhost-user1"</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p17341131614258"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p17341131614258"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p17341131614258"></a>}</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p330916223244"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p330916223244"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p330916223244"></a>&nbsp;&nbsp;</p>
</td>
<td class="cellrowborder" valign="top" width="7.4992500749925%" headers="mcps1.2.7.1.4 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p855072117296"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p855072117296"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p855072117296"></a>device</p>
</td>
<td class="cellrowborder" valign="top" width="16.14838516148385%" headers="mcps1.2.7.1.5 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p55501921162915"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p55501921162915"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p55501921162915"></a>设置网卡的主机端名称</p>
</td>
<td class="cellrowborder" valign="top" width="22.38776122387761%" headers="mcps1.2.7.1.6 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p19199141452819"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p19199141452819"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p19199141452819"></a>必选。支持字母、数字、下划线“_”、“-” 以及“.”字符，必须以字母开头，且长度不超过15。需要确保同一个宿主机上device不能重复。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_row1563914260136"><td class="cellrowborder" valign="top" headers="mcps1.2.7.1.1 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p1563922616131"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p1563922616131"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p1563922616131"></a>name</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.2 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p156391826161313"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p156391826161313"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p156391826161313"></a>设置网卡的容器内名称</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.3 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1954874319"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1954874319"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1954874319"></a>必选。支持字母、数字、下划线“_”、“-” 以及“.”字符，必须以字母开头，且长度不超过15。需要确保同一个Sandbox内name不能重复。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_row416183171610"><td class="cellrowborder" valign="top" headers="mcps1.2.7.1.1 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p58291193271"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p58291193271"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p58291193271"></a>IPAddresses</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.2 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p2167318165"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p2167318165"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p2167318165"></a>设置网卡的IP地址</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.3 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p1106144015178"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p1106144015178"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p1106144015178"></a>可选。</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1645464962810"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1645464962810"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1645464962810"></a>暂时支持一张网卡配置一个IP，如果不配置IP，则不会在容器内部配置IP。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_row13672165951510"><td class="cellrowborder" valign="top" headers="mcps1.2.7.1.1 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p1567214598153"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p1567214598153"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p1567214598153"></a>mtu</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.2 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p1467235981512"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p1467235981512"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p1467235981512"></a>设置网卡的mtu值</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.3 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p13305156121820"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p13305156121820"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p13305156121820"></a>必选。</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p12189171833011"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p12189171833011"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p12189171833011"></a>有效范围46~9600。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_row1679005612156"><td class="cellrowborder" valign="top" headers="mcps1.2.7.1.1 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p37901256111518"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p37901256111518"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p37901256111518"></a>hwAddr</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.2 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p1479011564157"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p1479011564157"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p1479011564157"></a>设置网卡的mac值</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.3 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p4106134014178"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p4106134014178"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p4106134014178"></a>必选。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_row3307422102411"><td class="cellrowborder" valign="top" headers="mcps1.2.7.1.1 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p13091722122417"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p13091722122417"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p13091722122417"></a>vhostUserSocket</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.2 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p2310142218242"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p2310142218242"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p2310142218242"></a>设置dpdk轮循socket路径</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.3 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p6310422182410"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p6310422182410"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p6310422182410"></a>可选。</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p949911537279"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p949911537279"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p949911537279"></a>路径最大长度128字节，命名规则支持数字、字母、“-”。必须以字母开头。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_row04261503150"><td class="cellrowborder" valign="top" headers="mcps1.2.7.1.1 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p16391226111316"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p16391226111316"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p16391226111316"></a><strong id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b948121112118"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b948121112118"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b948121112118"></a>del-iface</strong></p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.2 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p398520181327"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p398520181327"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p398520181327"></a>{</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p109851718183212"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p109851718183212"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p109851718183212"></a>"name":"eth1"</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p198551814320"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p198551814320"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p198551814320"></a>}</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.3 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p2428950151518"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p2428950151518"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p2428950151518"></a>无</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.4 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p14428175051511"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p14428175051511"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p14428175051511"></a>删除容器内的一个网卡</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.5 "><div class="note" id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_note79081420342"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_note79081420342"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_note79081420342"></a><span class="notetitle"> 说明： </span><div class="notebody"><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1591374123420"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1591374123420"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1591374123420"></a>删除网卡时，仅根据网卡容器内名称（name字段）来删除。即便填写其他字段，kata也不会使用。</p>
</div></div>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_row4639626111319"><td class="cellrowborder" valign="top" headers="mcps1.2.7.1.1 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p964014261131"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p964014261131"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p964014261131"></a><strong id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b16379102719112"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b16379102719112"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b16379102719112"></a>list-ifaces</strong></p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.2 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p16285152541713"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p16285152541713"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p16285152541713"></a>无</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.3 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p17640132601313"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p17640132601313"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p17640132601313"></a>无</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.4 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p14640202613133"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p14640202613133"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p14640202613133"></a>查询容器内的网卡列表</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.5 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p13106184061718"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p13106184061718"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_zh-cn_topic_0117295236_zh-cn_topic_0058941414_p13106184061718"></a>无</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_row879186191219"><td class="cellrowborder" rowspan="3" valign="top" headers="mcps1.2.7.1.1 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p681186151218"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p681186151218"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p681186151218"></a><strong id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b132121515139"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b132121515139"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b132121515139"></a>add-route</strong></p>
</td>
<td class="cellrowborder" rowspan="3" valign="top" headers="mcps1.2.7.1.2 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1089432211409"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1089432211409"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1089432211409"></a>{</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p14894722164012"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p14894722164012"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p14894722164012"></a>"dest":"172.17.10.10/24",</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p10894422184015"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p10894422184015"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p10894422184015"></a>"gateway":"",</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p68941722114010"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p68941722114010"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p68941722114010"></a>"device":"eth1"</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p489413229409"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p489413229409"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p489413229409"></a>}</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.3 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p78115631210"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p78115631210"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p78115631210"></a>dest</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.4 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p48114611125"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p48114611125"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p48114611125"></a>设置路由对应的网段</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.5 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p18146131215"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p18146131215"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p18146131215"></a>格式为&lt;ip&gt;/&lt;mask&gt;，&lt;ip&gt;必选。</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1736115864212"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1736115864212"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1736115864212"></a>分三种情况：</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1361158154216"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1361158154216"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1361158154216"></a>1. 配置&lt;ip&gt;/&lt;mask&gt;；</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p0361558204220"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p0361558204220"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p0361558204220"></a>2. 只配置&lt;ip&gt;，则默认掩码为32；</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p336125814424"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p336125814424"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p336125814424"></a>3. 配置"dest":"default"，默认无dest，需传入gateway。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_row2567947104013"><td class="cellrowborder" valign="top" headers="mcps1.2.7.1.1 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p12568164794015"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p12568164794015"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p12568164794015"></a>gateway</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.2 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p14568847184011"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p14568847184011"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p14568847184011"></a>设置路由的下一跳网关</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.3 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p9569144720407"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p9569144720407"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p9569144720407"></a>设置"dest":"default"时，gateway必选；其他情况可选。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_row12666164411404"><td class="cellrowborder" valign="top" headers="mcps1.2.7.1.1 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p3668124424016"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p3668124424016"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p3668124424016"></a>device</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.2 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p22806548439"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p22806548439"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p22806548439"></a>设置路由对应的网卡名称</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.3 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1668114494018"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1668114494018"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1668114494018"></a>必选。</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p16787861443"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p16787861443"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p16787861443"></a>最长支持15字符。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_row08132961210"><td class="cellrowborder" valign="top" headers="mcps1.2.7.1.1 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1382122961211"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1382122961211"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1382122961211"></a><strong id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b102395117136"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b102395117136"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b102395117136"></a>del-route</strong></p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.2 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p101025239448"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p101025239448"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p101025239448"></a>{</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p5102142304411"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p5102142304411"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p5102142304411"></a>"dest":"172.17.10.10/24"</p>
<p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p2102823194419"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p2102823194419"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p2102823194419"></a>}</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.3 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p78292914124"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p78292914124"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p78292914124"></a>无</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.4 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1082129191210"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1082129191210"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1082129191210"></a>删除容器的路由规则</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.5 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p5664639124712"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p5664639124712"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p5664639124712"></a>dest为必选，device/gateway均为可选。</p>
<div class="note" id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_note19424114018479"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_note19424114018479"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_note19424114018479"></a><span class="notetitle"> 说明： </span><div class="notebody"><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p3769786466"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p3769786466"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p3769786466"></a>kata根据不同字段进行模糊匹配，删除对应的路由规则。</p>
</div></div>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_row8794731171212"><td class="cellrowborder" valign="top" headers="mcps1.2.7.1.1 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1179414319123"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1179414319123"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p1179414319123"></a><strong id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b19240131141311"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b19240131141311"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_b19240131141311"></a>list-routes</strong></p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.2 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p2286152581716"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p2286152581716"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p2286152581716"></a>无</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.3 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p27941431131219"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p27941431131219"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p27941431131219"></a>无</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.4 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p10794143110125"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p10794143110125"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p10794143110125"></a>查询容器内的路由列表</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.7.1.5 "><p id="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p107941431141219"><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p107941431141219"></a><a name="zh-cn_topic_0182220026_zh-cn_topic_0176326774_zh-cn_topic_0144414542_p107941431141219"></a>无</p>
</td>
</tr>
</tbody>
</table>

**表 2**  kata-ipvs命令行接口

<a name="zh-cn_topic_0182220026_table20898132412379"></a>
<table><thead align="left"><tr id="zh-cn_topic_0182220026_row194632488374"><th class="cellrowborder" valign="top" width="6.380638063806381%" id="mcps1.2.8.1.1"><p id="zh-cn_topic_0182220026_p5810105523715"><a name="zh-cn_topic_0182220026_p5810105523715"></a><a name="zh-cn_topic_0182220026_p5810105523715"></a><strong id="zh-cn_topic_0182220026_b681116558376"><a name="zh-cn_topic_0182220026_b681116558376"></a><a name="zh-cn_topic_0182220026_b681116558376"></a>命令</strong></p>
</th>
<th class="cellrowborder" valign="top" width="6.63066306630663%" id="mcps1.2.8.1.2"><p id="zh-cn_topic_0182220026_p946474818373"><a name="zh-cn_topic_0182220026_p946474818373"></a><a name="zh-cn_topic_0182220026_p946474818373"></a><strong id="zh-cn_topic_0182220026_b112031450398"><a name="zh-cn_topic_0182220026_b112031450398"></a><a name="zh-cn_topic_0182220026_b112031450398"></a>子命令</strong></p>
</th>
<th class="cellrowborder" valign="top" width="7.620762076207621%" id="mcps1.2.8.1.3"><p id="zh-cn_topic_0182220026_p10464134813712"><a name="zh-cn_topic_0182220026_p10464134813712"></a><a name="zh-cn_topic_0182220026_p10464134813712"></a><strong id="zh-cn_topic_0182220026_b1920514514391"><a name="zh-cn_topic_0182220026_b1920514514391"></a><a name="zh-cn_topic_0182220026_b1920514514391"></a>字段</strong></p>
</th>
<th class="cellrowborder" valign="top" width="11.77117711771177%" id="mcps1.2.8.1.4"><p id="zh-cn_topic_0182220026_p9464114811377"><a name="zh-cn_topic_0182220026_p9464114811377"></a><a name="zh-cn_topic_0182220026_p9464114811377"></a><strong id="zh-cn_topic_0182220026_b92064520398"><a name="zh-cn_topic_0182220026_b92064520398"></a><a name="zh-cn_topic_0182220026_b92064520398"></a>参数</strong></p>
</th>
<th class="cellrowborder" valign="top" width="10.57105710571057%" id="mcps1.2.8.1.5"><p id="zh-cn_topic_0182220026_p164641648193711"><a name="zh-cn_topic_0182220026_p164641648193711"></a><a name="zh-cn_topic_0182220026_p164641648193711"></a><strong id="zh-cn_topic_0182220026_b020745123917"><a name="zh-cn_topic_0182220026_b020745123917"></a><a name="zh-cn_topic_0182220026_b020745123917"></a>子参数</strong></p>
</th>
<th class="cellrowborder" valign="top" width="12.37123712371237%" id="mcps1.2.8.1.6"><p id="zh-cn_topic_0182220026_p1646518482370"><a name="zh-cn_topic_0182220026_p1646518482370"></a><a name="zh-cn_topic_0182220026_p1646518482370"></a><strong id="zh-cn_topic_0182220026_b1920895103913"><a name="zh-cn_topic_0182220026_b1920895103913"></a><a name="zh-cn_topic_0182220026_b1920895103913"></a>含义</strong></p>
</th>
<th class="cellrowborder" valign="top" width="44.654465446544656%" id="mcps1.2.8.1.7"><p id="zh-cn_topic_0182220026_p10465448103712"><a name="zh-cn_topic_0182220026_p10465448103712"></a><a name="zh-cn_topic_0182220026_p10465448103712"></a><strong id="zh-cn_topic_0182220026_b2021011523918"><a name="zh-cn_topic_0182220026_b2021011523918"></a><a name="zh-cn_topic_0182220026_b2021011523918"></a>备注</strong></p>
</th>
</tr>
</thead>
<tbody><tr id="zh-cn_topic_0182220026_row656825123716"><td class="cellrowborder" rowspan="22" valign="top" width="6.380638063806381%" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p165612511378"><a name="zh-cn_topic_0182220026_p165612511378"></a><a name="zh-cn_topic_0182220026_p165612511378"></a><strong id="zh-cn_topic_0182220026_b115611255377"><a name="zh-cn_topic_0182220026_b115611255377"></a><a name="zh-cn_topic_0182220026_b115611255377"></a>kata-ipvs</strong></p>
</td>
<td class="cellrowborder" rowspan="20" valign="top" width="6.63066306630663%" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p25620257372"><a name="zh-cn_topic_0182220026_p25620257372"></a><a name="zh-cn_topic_0182220026_p25620257372"></a><strong id="zh-cn_topic_0182220026_b105682517378"><a name="zh-cn_topic_0182220026_b105682517378"></a><a name="zh-cn_topic_0182220026_b105682517378"></a>ipvsadm</strong></p>
</td>
<td class="cellrowborder" rowspan="19" valign="top" width="7.620762076207621%" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p35612583712"><a name="zh-cn_topic_0182220026_p35612583712"></a><a name="zh-cn_topic_0182220026_p35612583712"></a>--parameters</p>
</td>
<td class="cellrowborder" rowspan="3" valign="top" width="11.77117711771177%" headers="mcps1.2.8.1.4 "><p id="zh-cn_topic_0182220026_p85652512376"><a name="zh-cn_topic_0182220026_p85652512376"></a><a name="zh-cn_topic_0182220026_p85652512376"></a>-A, --add-service</p>
</td>
<td class="cellrowborder" valign="top" width="10.57105710571057%" headers="mcps1.2.8.1.5 "><p id="zh-cn_topic_0182220026_p256202513711"><a name="zh-cn_topic_0182220026_p256202513711"></a><a name="zh-cn_topic_0182220026_p256202513711"></a>-t, --tcp-service</p>
<p id="zh-cn_topic_0182220026_p556825123720"><a name="zh-cn_topic_0182220026_p556825123720"></a><a name="zh-cn_topic_0182220026_p556825123720"></a>-u, --udp-service</p>
</td>
<td class="cellrowborder" valign="top" width="12.37123712371237%" headers="mcps1.2.8.1.6 "><p id="zh-cn_topic_0182220026_p125617257379"><a name="zh-cn_topic_0182220026_p125617257379"></a><a name="zh-cn_topic_0182220026_p125617257379"></a>虚拟服务类型</p>
</td>
<td class="cellrowborder" valign="top" width="44.654465446544656%" headers="mcps1.2.8.1.7 "><p id="zh-cn_topic_0182220026_p145682513712"><a name="zh-cn_topic_0182220026_p145682513712"></a><a name="zh-cn_topic_0182220026_p145682513712"></a>必选项。--tcp-service、--udp-service，两个参数只能选择其一。格式为“ip:port”，port取值[1,65535]。</p>
<p id="zh-cn_topic_0182220026_p12561825163713"><a name="zh-cn_topic_0182220026_p12561825163713"></a><a name="zh-cn_topic_0182220026_p12561825163713"></a>举例：</p>
<pre class="screen" id="zh-cn_topic_0182220026_screen165611253377"><a name="zh-cn_topic_0182220026_screen165611253377"></a><a name="zh-cn_topic_0182220026_screen165611253377"></a>kata-runtime kata-ipvs ipvsadm --parameters "--add-service --tcp-service 172.17.0.7:80 --scheduler rr --persistent 3000" &lt;container-id&gt;</pre>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row356192583713"><td class="cellrowborder" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p95632583713"><a name="zh-cn_topic_0182220026_p95632583713"></a><a name="zh-cn_topic_0182220026_p95632583713"></a>-s, --scheduler</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p75672553710"><a name="zh-cn_topic_0182220026_p75672553710"></a><a name="zh-cn_topic_0182220026_p75672553710"></a>负载均衡调度算法</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p175610253373"><a name="zh-cn_topic_0182220026_p175610253373"></a><a name="zh-cn_topic_0182220026_p175610253373"></a>必选项。取值范围：rr|wrr|lc|wlc|lblc|lblcr|dh|sh|sed|nq。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row185642563719"><td class="cellrowborder" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p19561325173717"><a name="zh-cn_topic_0182220026_p19561325173717"></a><a name="zh-cn_topic_0182220026_p19561325173717"></a>-p, --persistent</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p156172553716"><a name="zh-cn_topic_0182220026_p156172553716"></a><a name="zh-cn_topic_0182220026_p156172553716"></a>持续服务时间</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p105652513713"><a name="zh-cn_topic_0182220026_p105652513713"></a><a name="zh-cn_topic_0182220026_p105652513713"></a>必选项。取值范围[1,  2678400]，单位s。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row17571025143718"><td class="cellrowborder" rowspan="3" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p115772516371"><a name="zh-cn_topic_0182220026_p115772516371"></a><a name="zh-cn_topic_0182220026_p115772516371"></a>-E, --edit-service</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p457112543716"><a name="zh-cn_topic_0182220026_p457112543716"></a><a name="zh-cn_topic_0182220026_p457112543716"></a>-t, --tcp-service</p>
<p id="zh-cn_topic_0182220026_p7571256375"><a name="zh-cn_topic_0182220026_p7571256375"></a><a name="zh-cn_topic_0182220026_p7571256375"></a>-u, --udp-service</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p1657102514370"><a name="zh-cn_topic_0182220026_p1657102514370"></a><a name="zh-cn_topic_0182220026_p1657102514370"></a>虚拟服务类型</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.4 "><p id="zh-cn_topic_0182220026_p2057192513711"><a name="zh-cn_topic_0182220026_p2057192513711"></a><a name="zh-cn_topic_0182220026_p2057192513711"></a>必选项。--tcp-service、--udp-service，两个参数只能选择其一。格式为“ip:port”，port取值[1,65535]。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row65762583710"><td class="cellrowborder" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p175772543712"><a name="zh-cn_topic_0182220026_p175772543712"></a><a name="zh-cn_topic_0182220026_p175772543712"></a>-s, --scheduler</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p165716257371"><a name="zh-cn_topic_0182220026_p165716257371"></a><a name="zh-cn_topic_0182220026_p165716257371"></a>负载均衡调度算法</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p85732519371"><a name="zh-cn_topic_0182220026_p85732519371"></a><a name="zh-cn_topic_0182220026_p85732519371"></a>必选项。取值范围：rr|wrr|lc<em id="zh-cn_topic_0182220026_i10299171784313"><a name="zh-cn_topic_0182220026_i10299171784313"></a><a name="zh-cn_topic_0182220026_i10299171784313"></a>|wlc|lblc|lblcr|dh|sh|sed|nq</em>。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row55742563712"><td class="cellrowborder" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p2578253370"><a name="zh-cn_topic_0182220026_p2578253370"></a><a name="zh-cn_topic_0182220026_p2578253370"></a>-p, --persistent</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p557132516371"><a name="zh-cn_topic_0182220026_p557132516371"></a><a name="zh-cn_topic_0182220026_p557132516371"></a>持续服务时间</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p1457142511372"><a name="zh-cn_topic_0182220026_p1457142511372"></a><a name="zh-cn_topic_0182220026_p1457142511372"></a>必选项。取值范围[1,  2678400]，单位s。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row14571025183718"><td class="cellrowborder" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p257025163715"><a name="zh-cn_topic_0182220026_p257025163715"></a><a name="zh-cn_topic_0182220026_p257025163715"></a>-D, --delete-service</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p205752510371"><a name="zh-cn_topic_0182220026_p205752510371"></a><a name="zh-cn_topic_0182220026_p205752510371"></a>-t, --tcp-service</p>
<p id="zh-cn_topic_0182220026_p458925203715"><a name="zh-cn_topic_0182220026_p458925203715"></a><a name="zh-cn_topic_0182220026_p458925203715"></a>-u, --udp-service</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p165822523717"><a name="zh-cn_topic_0182220026_p165822523717"></a><a name="zh-cn_topic_0182220026_p165822523717"></a>虚拟服务类型</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.4 "><p id="zh-cn_topic_0182220026_p95882512376"><a name="zh-cn_topic_0182220026_p95882512376"></a><a name="zh-cn_topic_0182220026_p95882512376"></a>必选项。--tcp-service、--udp-service，两个参数只能选择其一。格式为“ip:port”，port取值[1,65535]。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row13585253371"><td class="cellrowborder" rowspan="3" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p1158725123716"><a name="zh-cn_topic_0182220026_p1158725123716"></a><a name="zh-cn_topic_0182220026_p1158725123716"></a>-a, --add-server</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p45872583711"><a name="zh-cn_topic_0182220026_p45872583711"></a><a name="zh-cn_topic_0182220026_p45872583711"></a>-t, --tcp-service</p>
<p id="zh-cn_topic_0182220026_p15581325103716"><a name="zh-cn_topic_0182220026_p15581325103716"></a><a name="zh-cn_topic_0182220026_p15581325103716"></a>-u, --udp-service</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p25892563717"><a name="zh-cn_topic_0182220026_p25892563717"></a><a name="zh-cn_topic_0182220026_p25892563717"></a>虚拟服务类型</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.4 "><p id="zh-cn_topic_0182220026_p19582025153715"><a name="zh-cn_topic_0182220026_p19582025153715"></a><a name="zh-cn_topic_0182220026_p19582025153715"></a>必选项。--tcp-service、--udp-service，两个参数只能选择其一。格式为“ip:port”，port取值[1,65535]。</p>
<p id="zh-cn_topic_0182220026_p6588251379"><a name="zh-cn_topic_0182220026_p6588251379"></a><a name="zh-cn_topic_0182220026_p6588251379"></a>举例：</p>
<pre class="screen" id="zh-cn_topic_0182220026_screen12581825143719"><a name="zh-cn_topic_0182220026_screen12581825143719"></a><a name="zh-cn_topic_0182220026_screen12581825143719"></a>kata-runtime kata-ipvs ipvsadm --parameters "--add-server --tcp-service 172.17.0.7:80 --real-server 172.17.0.4:80 --weight 100" &lt;container-id&gt;</pre>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row5580254370"><td class="cellrowborder" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p05811258371"><a name="zh-cn_topic_0182220026_p05811258371"></a><a name="zh-cn_topic_0182220026_p05811258371"></a>-r, --real-server</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p175814258376"><a name="zh-cn_topic_0182220026_p175814258376"></a><a name="zh-cn_topic_0182220026_p175814258376"></a>真实服务器地址</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p105814257374"><a name="zh-cn_topic_0182220026_p105814257374"></a><a name="zh-cn_topic_0182220026_p105814257374"></a>必选项。格式为“ip:port”，port取值[1,65535]。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row17581625153719"><td class="cellrowborder" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p15819257372"><a name="zh-cn_topic_0182220026_p15819257372"></a><a name="zh-cn_topic_0182220026_p15819257372"></a>-w, --weight</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p359152519373"><a name="zh-cn_topic_0182220026_p359152519373"></a><a name="zh-cn_topic_0182220026_p359152519373"></a>权重</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p10591525143711"><a name="zh-cn_topic_0182220026_p10591525143711"></a><a name="zh-cn_topic_0182220026_p10591525143711"></a>可选项，取值[0,65535]。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row185917254379"><td class="cellrowborder" rowspan="3" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p359182518373"><a name="zh-cn_topic_0182220026_p359182518373"></a><a name="zh-cn_topic_0182220026_p359182518373"></a>-e, --edit-server</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p95913251373"><a name="zh-cn_topic_0182220026_p95913251373"></a><a name="zh-cn_topic_0182220026_p95913251373"></a>-t, --tcp-service</p>
<p id="zh-cn_topic_0182220026_p359142563711"><a name="zh-cn_topic_0182220026_p359142563711"></a><a name="zh-cn_topic_0182220026_p359142563711"></a>-u, --udp-service</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p559152543712"><a name="zh-cn_topic_0182220026_p559152543712"></a><a name="zh-cn_topic_0182220026_p559152543712"></a>虚拟服务类型</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.4 "><p id="zh-cn_topic_0182220026_p759142513719"><a name="zh-cn_topic_0182220026_p759142513719"></a><a name="zh-cn_topic_0182220026_p759142513719"></a>必选项。--tcp-service、--udp-service，两个参数只能选择其一。格式为“ip:port”，port取值[1,65535]。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row3591225133718"><td class="cellrowborder" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p75913255373"><a name="zh-cn_topic_0182220026_p75913255373"></a><a name="zh-cn_topic_0182220026_p75913255373"></a>-r, --real-server</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p135962517378"><a name="zh-cn_topic_0182220026_p135962517378"></a><a name="zh-cn_topic_0182220026_p135962517378"></a>真实服务器地址</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p759192583716"><a name="zh-cn_topic_0182220026_p759192583716"></a><a name="zh-cn_topic_0182220026_p759192583716"></a>必选项。格式为“ip:port”，port取值[1,65535]。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row18591025163718"><td class="cellrowborder" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p1259102517373"><a name="zh-cn_topic_0182220026_p1259102517373"></a><a name="zh-cn_topic_0182220026_p1259102517373"></a>-w, --weight</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p1759182517379"><a name="zh-cn_topic_0182220026_p1759182517379"></a><a name="zh-cn_topic_0182220026_p1759182517379"></a>权重</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p459162512377"><a name="zh-cn_topic_0182220026_p459162512377"></a><a name="zh-cn_topic_0182220026_p459162512377"></a>可选项，取值[0,65535]。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row2592025163712"><td class="cellrowborder" rowspan="2" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p55992516378"><a name="zh-cn_topic_0182220026_p55992516378"></a><a name="zh-cn_topic_0182220026_p55992516378"></a>-d, --delete-server</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p559125103712"><a name="zh-cn_topic_0182220026_p559125103712"></a><a name="zh-cn_topic_0182220026_p559125103712"></a>-t, --tcp-service</p>
<p id="zh-cn_topic_0182220026_p1860102516379"><a name="zh-cn_topic_0182220026_p1860102516379"></a><a name="zh-cn_topic_0182220026_p1860102516379"></a>-u, --udp-service</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p6603255378"><a name="zh-cn_topic_0182220026_p6603255378"></a><a name="zh-cn_topic_0182220026_p6603255378"></a>虚拟服务类型</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.4 "><p id="zh-cn_topic_0182220026_p8601256377"><a name="zh-cn_topic_0182220026_p8601256377"></a><a name="zh-cn_topic_0182220026_p8601256377"></a>必选项。--tcp-service、--udp-service，两个参数只能选择其一。格式为“ip:port”，port取值[1,65535]。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row16601425123715"><td class="cellrowborder" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p206062517372"><a name="zh-cn_topic_0182220026_p206062517372"></a><a name="zh-cn_topic_0182220026_p206062517372"></a>-r, --real-server</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p16601325183716"><a name="zh-cn_topic_0182220026_p16601325183716"></a><a name="zh-cn_topic_0182220026_p16601325183716"></a>真实服务器地址</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p13601625113720"><a name="zh-cn_topic_0182220026_p13601625113720"></a><a name="zh-cn_topic_0182220026_p13601625113720"></a>必选项。格式为“ip:port”，port取值[1,65535]。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row1160192503714"><td class="cellrowborder" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p86017253377"><a name="zh-cn_topic_0182220026_p86017253377"></a><a name="zh-cn_topic_0182220026_p86017253377"></a>-L, --list</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p1760142512373"><a name="zh-cn_topic_0182220026_p1760142512373"></a><a name="zh-cn_topic_0182220026_p1760142512373"></a>-t, --tcp-service</p>
<p id="zh-cn_topic_0182220026_p1060625163714"><a name="zh-cn_topic_0182220026_p1060625163714"></a><a name="zh-cn_topic_0182220026_p1060625163714"></a>-u, --udp-service</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p1160152573719"><a name="zh-cn_topic_0182220026_p1160152573719"></a><a name="zh-cn_topic_0182220026_p1160152573719"></a>指定查询虚拟服务信息</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.4 "><p id="zh-cn_topic_0182220026_p26012533711"><a name="zh-cn_topic_0182220026_p26012533711"></a><a name="zh-cn_topic_0182220026_p26012533711"></a>可选项。</p>
<p id="zh-cn_topic_0182220026_p156013254374"><a name="zh-cn_topic_0182220026_p156013254374"></a><a name="zh-cn_topic_0182220026_p156013254374"></a>举例：</p>
<pre class="screen" id="zh-cn_topic_0182220026_screen1360112511379"><a name="zh-cn_topic_0182220026_screen1360112511379"></a><a name="zh-cn_topic_0182220026_screen1360112511379"></a>kata-runtime kata-ipvs ipvsadm --parameters "--list --tcp-service ip:port" &lt;container-id&gt;</pre>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row1260325113711"><td class="cellrowborder" rowspan="3" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p17600254379"><a name="zh-cn_topic_0182220026_p17600254379"></a><a name="zh-cn_topic_0182220026_p17600254379"></a>--set</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p1660925113716"><a name="zh-cn_topic_0182220026_p1660925113716"></a><a name="zh-cn_topic_0182220026_p1660925113716"></a>--tcp</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p26032510371"><a name="zh-cn_topic_0182220026_p26032510371"></a><a name="zh-cn_topic_0182220026_p26032510371"></a>tcp超时</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.4 "><p id="zh-cn_topic_0182220026_p1260172514375"><a name="zh-cn_topic_0182220026_p1260172514375"></a><a name="zh-cn_topic_0182220026_p1260172514375"></a>必选项，取值[0, 1296000]。</p>
<p id="zh-cn_topic_0182220026_p360122523716"><a name="zh-cn_topic_0182220026_p360122523716"></a><a name="zh-cn_topic_0182220026_p360122523716"></a>举例：</p>
<pre class="screen" id="zh-cn_topic_0182220026_screen56042514378"><a name="zh-cn_topic_0182220026_screen56042514378"></a><a name="zh-cn_topic_0182220026_screen56042514378"></a>kata-runtime kata-ipvs ipvsadm --parameters "--set 100 100 200" &lt;container-id&gt;</pre>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row860182518379"><td class="cellrowborder" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p146092573711"><a name="zh-cn_topic_0182220026_p146092573711"></a><a name="zh-cn_topic_0182220026_p146092573711"></a>--tcpfin</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p860142510373"><a name="zh-cn_topic_0182220026_p860142510373"></a><a name="zh-cn_topic_0182220026_p860142510373"></a>tcpfin超时</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p360125123718"><a name="zh-cn_topic_0182220026_p360125123718"></a><a name="zh-cn_topic_0182220026_p360125123718"></a>必选项，取值[0, 1296000]。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row86052553710"><td class="cellrowborder" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p1060525133718"><a name="zh-cn_topic_0182220026_p1060525133718"></a><a name="zh-cn_topic_0182220026_p1060525133718"></a>--udp</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p26014258377"><a name="zh-cn_topic_0182220026_p26014258377"></a><a name="zh-cn_topic_0182220026_p26014258377"></a>udp超时</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.3 "><p id="zh-cn_topic_0182220026_p1960192515372"><a name="zh-cn_topic_0182220026_p1960192515372"></a><a name="zh-cn_topic_0182220026_p1960192515372"></a>必选项，取值[0, 1296000]。</p>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row860172553711"><td class="cellrowborder" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p26072514370"><a name="zh-cn_topic_0182220026_p26072514370"></a><a name="zh-cn_topic_0182220026_p26072514370"></a>--restore</p>
</td>
<td class="cellrowborder" colspan="2" valign="top" headers="mcps1.2.8.1.4 mcps1.2.8.1.5 "><p id="zh-cn_topic_0182220026_p1860525203718"><a name="zh-cn_topic_0182220026_p1860525203718"></a><a name="zh-cn_topic_0182220026_p1860525203718"></a>-</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.6 "><p id="zh-cn_topic_0182220026_p2061142593713"><a name="zh-cn_topic_0182220026_p2061142593713"></a><a name="zh-cn_topic_0182220026_p2061142593713"></a>标准输入批量导入</p>
<p id="zh-cn_topic_0182220026_p176117251378"><a name="zh-cn_topic_0182220026_p176117251378"></a><a name="zh-cn_topic_0182220026_p176117251378"></a>可指定规则文件</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.7 "><p id="zh-cn_topic_0182220026_p196142573717"><a name="zh-cn_topic_0182220026_p196142573717"></a><a name="zh-cn_topic_0182220026_p196142573717"></a>举例：</p>
<pre class="screen" id="zh-cn_topic_0182220026_screen196119255371"><a name="zh-cn_topic_0182220026_screen196119255371"></a><a name="zh-cn_topic_0182220026_screen196119255371"></a>kata-runtime kata-ipvs ipvsadm --restore -  &lt;  &lt;规则文件路径&gt; &lt;container-id&gt;</pre>
<div class="note" id="zh-cn_topic_0182220026_note122642164417"><a name="zh-cn_topic_0182220026_note122642164417"></a><a name="zh-cn_topic_0182220026_note122642164417"></a><span class="notetitle"> 说明： </span><div class="notebody"><p id="zh-cn_topic_0182220026_p11611425143712"><a name="zh-cn_topic_0182220026_p11611425143712"></a><a name="zh-cn_topic_0182220026_p11611425143712"></a>单条添加时默认使用NAT模式，批量导入时添加真实服务器需手动添加-m参数使用NAT模式。</p>
<p id="zh-cn_topic_0182220026_p126182533712"><a name="zh-cn_topic_0182220026_p126182533712"></a><a name="zh-cn_topic_0182220026_p126182533712"></a>规则文件内容示例：</p>
<p id="zh-cn_topic_0182220026_p126162514372"><a name="zh-cn_topic_0182220026_p126162514372"></a><a name="zh-cn_topic_0182220026_p126162514372"></a>-A -t 10.10.11.12:100 -s rr -p  3000</p>
<p id="zh-cn_topic_0182220026_p461225203718"><a name="zh-cn_topic_0182220026_p461225203718"></a><a name="zh-cn_topic_0182220026_p461225203718"></a>-a -t 10.10.11.12:100 -r  172.16.0.1:80 -m</p>
<p id="zh-cn_topic_0182220026_p186116257373"><a name="zh-cn_topic_0182220026_p186116257373"></a><a name="zh-cn_topic_0182220026_p186116257373"></a>-a -t 10.10.11.12:100 -r  172.16.0.1:81 -m</p>
<p id="zh-cn_topic_0182220026_p66152513376"><a name="zh-cn_topic_0182220026_p66152513376"></a><a name="zh-cn_topic_0182220026_p66152513376"></a>-a -t 10.10.11.12:100 -r 172.16.0.1:82  -m</p>
</div></div>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row1161425133716"><td class="cellrowborder" rowspan="2" valign="top" headers="mcps1.2.8.1.1 "><p id="zh-cn_topic_0182220026_p361172553710"><a name="zh-cn_topic_0182220026_p361172553710"></a><a name="zh-cn_topic_0182220026_p361172553710"></a><strong id="zh-cn_topic_0182220026_b46111259379"><a name="zh-cn_topic_0182220026_b46111259379"></a><a name="zh-cn_topic_0182220026_b46111259379"></a>cleanup</strong></p>
</td>
<td class="cellrowborder" rowspan="2" valign="top" headers="mcps1.2.8.1.2 "><p id="zh-cn_topic_0182220026_p3617258375"><a name="zh-cn_topic_0182220026_p3617258375"></a><a name="zh-cn_topic_0182220026_p3617258375"></a>--parameters</p>
</td>
<td class="cellrowborder" colspan="2" valign="top" headers="mcps1.2.8.1.4 mcps1.2.8.1.5 "><p id="zh-cn_topic_0182220026_p196119251373"><a name="zh-cn_topic_0182220026_p196119251373"></a><a name="zh-cn_topic_0182220026_p196119251373"></a>-d, --orig-dst</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.6 "><p id="zh-cn_topic_0182220026_p1961112517374"><a name="zh-cn_topic_0182220026_p1961112517374"></a><a name="zh-cn_topic_0182220026_p1961112517374"></a>ip信息</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.7 "><p id="zh-cn_topic_0182220026_p16618253379"><a name="zh-cn_topic_0182220026_p16618253379"></a><a name="zh-cn_topic_0182220026_p16618253379"></a>必选项。</p>
<p id="zh-cn_topic_0182220026_p561122593718"><a name="zh-cn_topic_0182220026_p561122593718"></a><a name="zh-cn_topic_0182220026_p561122593718"></a>举例：</p>
<pre class="screen" id="zh-cn_topic_0182220026_screen361102513371"><a name="zh-cn_topic_0182220026_screen361102513371"></a><a name="zh-cn_topic_0182220026_screen361102513371"></a>kata-runtime kata-ipvs cleanup --parameters "--orig-dst 172.17.0.4 --protonum tcp" &lt;container-id&gt;</pre>
</td>
</tr>
<tr id="zh-cn_topic_0182220026_row161525153711"><td class="cellrowborder" colspan="2" valign="top" headers="mcps1.2.8.1.4 mcps1.2.8.1.5 "><p id="zh-cn_topic_0182220026_p861142583719"><a name="zh-cn_topic_0182220026_p861142583719"></a><a name="zh-cn_topic_0182220026_p861142583719"></a>-p, --protonum</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.6 "><p id="zh-cn_topic_0182220026_p1061625193720"><a name="zh-cn_topic_0182220026_p1061625193720"></a><a name="zh-cn_topic_0182220026_p1061625193720"></a>协议类型</p>
</td>
<td class="cellrowborder" valign="top" headers="mcps1.2.8.1.7 "><p id="zh-cn_topic_0182220026_p1561325113719"><a name="zh-cn_topic_0182220026_p1561325113719"></a><a name="zh-cn_topic_0182220026_p1561325113719"></a>必选项，取值为tcp|udp 。</p>
</td>
</tr>
</tbody>
</table>

